Class Fox::FXFileList

In: | FXFileList.rb
Parent: | FXIconList

File List object

### File List options

`FILELIST_SHOWHIDDEN`: | Show hidden files or directories
`FILELIST_SHOWDIRS`: | Show only directories
`FILELIST_NO_OWN_ASSOC`: | Do not create associations for files

### Message identifiers

`ID_SORT_BY_NAME`: | x
`ID_SORT_BY_TYPE`: | x
`ID_SORT_BY_SIZE`: | x
`ID_SORT_BY_TIME`: | x
`ID_SORT_BY_USER`: | x
`ID_SORT_BY_GROUP`: | x
`ID_SORT_REVERSE`: | x
`ID_DIRECTORY_UP`: | x
`ID_SET_PATTERN`: | x
`ID_SET_DIRECTORY`: | x
`ID_SHOW_HIDDEN`: | x
`ID_HIDE_HIDDEN`: | x
`ID_TOGGLE_HIDDEN`: | x
`ID_REFRESHTIMER`: | x
`ID_OPENTIMER`: | x

Methods

hiddenFilesShown= hiddenFilesShown? itemAssoc itemDirectory? itemExecutable? itemFile? itemFilename itemPathname new onlyDirectoriesShown= onlyDirectoriesShown?

Attributes

associations | [RW] | File associations [FXFileDict]
currentFile | [RW] | Current file [String]
directory | [RW] | Current directory [String]
matchMode | [RW] | Wildcard matching mode [Integer]
pattern | [RW] | Wildcard matching pattern [String]

Public Class methods

new(p, tgt=nil, sel=0, opts=0, x=0, y=0, w=0, h=0) {|theFileList| ...}

Construct a file list

Public Instance methods

itemDirectory?(index)

Return `true` if item is a directory. Raises IndexError if index is out of bounds.

itemFile?(index)

Return `true` if item is a file. Raises IndexError if index is out of bounds.

itemExecutable?(index)

Return `true` if item is executable. Raises IndexError if index is out of bounds.

itemFilename(index)

Return name of item at index. Raises IndexError if index is out of bounds.

itemPathname(index)

Return full pathname of item at index. Raises IndexError if index is out of bounds.

itemAssoc(index)

Return file association of item at index. Raises IndexError if index is out of bounds.

hiddenFilesShown?()

Return `true` if showing hidden files.

hiddenFilesShown=(shown)

Show or hide hidden files.

onlyDirectoriesShown?()

Return `true` if showing directories only.

onlyDirectoriesShown=(shown)

Show directories only.